> For the complete documentation index, see [llms.txt](https://developers.hyp.co.il/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.hyp.co.il/enterprise/payment-page-integration/installments.md).

# Adding Installments to the Payment Page

It is common practice for Israeli credit card companies to offer splitting payments into multiple installments. You, as a merchant, can take advantage of this by offering installments to the customer on the payment page.

There are two types of installments:

1. **Regular installments**. If you owe ₪*X* for the transaction, it's broken up into multiple installments where every month an equal portion of *X* gets charged to your card. These incur no interest.
2. **Credit installments**. If you owe ₪*X* for the transaction, it's broken up into 3 or more installments where every month you owe a portion of *X* plus interest on *X*.

There is no need for you, as a merchant, to handle these installments; they are completely managed by either your acquirer or the customer's card issuer. As long as the transaction has been created with installments, the underlying credit networks are responsible for processing the charges.

This page describes how to use installments on the payment page. If you want to use installments outside the regular payment page flow, please refer to [Installments in Direct Charge and Two-Phase Commit](https://developers.hyp.co.il/enterprise/additional-payment-scenarios/installments-direct-charge.md) instead.

## Prerequisites

Newly opened terminals support installments by default.

In rare cases, installment transactions get declined due to a lack of payment permissions from acquirers. If this happens, please get in touch with Hyp support.

## Payment page integration

To enable installments on the payment page, you make a [regular payment page request](https://developers.hyp.co.il/enterprise/payment-page-integration/integrating-hyps-payment-page-and-accepting-payment.md#create-a-payment-page-request) where:

* The `creditType` element is set to `Payments` to enable regular installments, or `SpecialCredit` to enable credit installments.
* The `numberOfPayments` element is added, specifying the maximum number of installments you want to offer to the customer. If `creditType` is set to `SpecialCredit`, then `numberOfPayments` must be 3 or more.

Here's an example of a payment page request that enables regular installments with a maximum of 6 installments:

```xml
<ashrait>
    <request>
        <version>2000</version>
        <language>ENG</language>
        <command>doDeal</command>
        <doDeal>
            <terminalNumber>{terminalNumber}</terminalNumber>
            <cardNo>CGMPI</cardNo>
            <total>{total}</total>
            <transactionType>Debit</transactionType>
            <creditType>Payments</creditType>
            <numberOfPayments>6</numberOfPayments>
            <currency>ILS</currency>
            <transactionCode>Internet</transactionCode>
            <validation>TxnSetup</validation>
            <mid>{mid}</mid>
            <uniqueid>{uniqueid}</uniqueid>
            <mpiValidation>AutoComm</mpiValidation>
            <successUrl>{successUrl}</successUrl>
            <errorUrl>{errorUrl}</errorUrl>
        </doDeal>
    </request>
</ashrait>
```

This is an example of a payment page request that enables credit installments with a maximum of 10 installments:

```xml
<ashrait>
    <request>
        <version>2000</version>
        <language>ENG</language>
        <command>doDeal</command>
        <doDeal>
            <terminalNumber>{terminalNumber}</terminalNumber>
            <cardNo>CGMPI</cardNo>
            <total>{total}</total>
            <transactionType>Debit</transactionType>
            <creditType>SpecialCredit</creditType>
            <numberOfPayments>10</numberOfPayments>
            <currency>ILS</currency>
            <transactionCode>Internet</transactionCode>
            <validation>TxnSetup</validation>
            <mid>{mid}</mid>
            <uniqueid>{uniqueid}</uniqueid>
            <mpiValidation>AutoComm</mpiValidation>
            <successUrl>{successUrl}</successUrl>
            <errorUrl>{errorUrl}</errorUrl>
        </doDeal>
    </request>
</ashrait>
```

## Payment experience

When the customer opens the payment page, it will contain a drop-down allowing them to choose the number of installments, up to the maximum number you've defined in your payment page request.

For regular installments, the payment page automatically calculates and displays the amount of each installment:

![Payment page with 6 regular installments selected](https://3255314327-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FQDmIAW4sQ20lCItJGzcS%2Fuploads%2Fgit-blob-0af7eda2e509ab54d5b3577a966dd0ef91628990%2Finstallments-regular-6.png?alt=media)

For credit installments, the payment page only shows the number of installments, as the interest rate applied to each installment is not known in advance:

![Payment page with 6 credit installments selected](https://3255314327-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FQDmIAW4sQ20lCItJGzcS%2Fuploads%2Fgit-blob-f00413427ddf08930b1a2c513d7cf3af2182b845%2Finstallments-credit-6.png?alt=media)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.hyp.co.il/enterprise/payment-page-integration/installments.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
